Bug 170967 - ngrep: useless debuginfo package
ngrep: useless debuginfo package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ngrep (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Oliver Falk
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-16 14:31 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.44-4_fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-18 02:38:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-10-16 14:31:19 EDT
The build of ngrep strips the binary, producing a useless debuginfo package.   
Fix:  
  
--- ngrep.spec  25 Aug 2005 08:11:02 -0000      1.1  
+++ ngrep.spec  16 Oct 2005 18:31:13 -0000  
@@ -40,7 +40,7 @@  
 export EXTRA_INCLUDES=$(pcre-config --cflags)  
 export EXTRA_LIBS=$(pcre-config --libs)  
 %configure --enable-pcre  
-make %{?_smp_mflags}  
+make %{?_smp_mflags} STRIPFLAG=  
  
 %install  
 rm -rf $RPM_BUILD_ROOT

Note You need to log in before you can comment on or make changes to this bug.